RelayAPI

List media files

GET
/v1/media
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of items per page

Range1 <= value <= 100
Default20
from?string

Filter: start date (ISO 8601)

Formatdate-time
to?string

Filter: end date (ISO 8601)

Formatdate-time
workspace_id?string

Filter by workspace ID

account_id?string

Filter by specific account ID

account_ids?string

Filter by any of several account IDs (comma-separated). Takes precedence over account_id.

status?string

Filter by post status

Value in

  • "draft"
  • "scheduled"
  • "publishing"
  • "published"
  • "provider_draft"
  • "failed"
  • "partial"
include?string

Comma-separated list of fields to include in the response (e.g. 'targets,media')

include_external?string

When true, also return external posts merged by published_at (works with status=published or no status filter)

Default"false"

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/media"
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "duration": 0,      "filename": "string",      "height": 0,      "id": "string",      "mime_type": "string",      "original_available": true,      "processing_error": {        "code": "string",        "message": "string"      },      "processing_status": "not_requested",      "reference_url": "http://example.com",      "size": 0,      "url": "http://example.com",      "variants": [        {          "duration": 0,          "height": 0,          "id": "string",          "kind": "normalized",          "mime_type": "string",          "profile": "string",          "size": 0,          "status": "processing",          "width": 0        }      ],      "variants_truncated": true,      "width": 0,      "workspace_id": "string"    }  ],  "has_more": true,  "next_cursor": "string"}

Found something wrong? Help us improve this page.